using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class udlg
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public udlg()
       {
           Fields.AddRange(new MetaNode[] {
           new TagReference("Global_Dialogue_Info"),
           new HaloObjects.Enum("Flags", new string[] { "Female" }, 32),
           new Reflexive("Vocalizations", 16, new MetaNode[] { 
               new Bitmask("Flags", new string[] { "New_Vocalization" }, 32),
               new StringID("Vocalization"),
               new TagReference("Sound"),
           }),
           new StringID("Mission Dialogue Designator"),
           });
       }
    }
}
